.hamburger-btn {
  display: none;

  @include max-767 {
    display: block;
    position: relative;
    background-color: $yellow;
    width: sp-sizing-2(90px);
    padding: sp-sizing-2(45px);
    cursor: pointer;
    z-index: 10;
  }

  &__line {
    @include max-767 {
      position: absolute;
      width: sp-sizing-2(46px);
      height: sp-sizing-2(4px);
      background-color: $black;
      @include transition;
      margin: auto;
      top: sp-sizing-2(35px);
      left: sp-sizing-2(24px);
    }

    &::after {
      @include max-767 {
        content: " ";
        position: absolute;
        top: sp-sizing-2(15px);
        width: sp-sizing-2(46px);
        height: sp-sizing-2(4px);
        background-color: $black;
        @include transition;
      }
    }
  }

  &.open {
    .hamburger-btn__line {
      @include max-767 {
        transform: rotate(sp-sizing-2(90deg)) translate(sp-sizing-2(5px), sp-sizing-2(1px));
        width: sp-sizing-2(45px);
        top: sp-sizing-2(38px);
      }
    }

    .hamburger-btn__line::after {
      @include max-767 {
        transform: rotate(sp-sizing-2(-176deg)) translate(sp-sizing-2(1px), sp-sizing-2(1px));
        top: sp-sizing-2(1.5px);
        left: sp-sizing-2(-3px);
        width: sp-sizing-2(45px);
      }
    }
  }
}
